Wegen WhatsApp und Facebook bin...

30.08.2016 03:43 | keine Kommentare

Wegen WhatsApp und Facebook bin ich mir nun echt wieder unentschlossen. Jabber war bei uns ja leider kein Erfolg, aber Signal/TextSecure könnte vielleicht doch wieder etwas sein.

Update: Das hat tatsächlich schon Auswirkungen. Hätte ich nie gedacht, auch wenn Threema jetzt nicht Open Source ist, leider. :-(

Oha, das ist bei Ausweispflicht...

25.08.2016 19:41 | keine Kommentare

Oha, das ist bei Ausweispflicht in Deutschland echt großer Mist, wenn auch irgendwie nicht unerwartet: Whatsapp teilt alle Telefonnummern mit Facebook.

Puh, da wird einem übel

25.08.2016 16:29 | keine Kommentare

Puh, da wird einem übel. Es ist einfach wirklich sehr traurig anzusehen, wie hier mit Daten umgegangen wird.

How to NOT do a crypto messenger:

Deshalb: Do it yourself - Use XMPP with OTR/PGP!

Update: Posts wurden zensiert und sind nicht mehr erreichbar. Oha! :-) Hier zu BubCon.

TV Mediacenter mit dem RaspberryPi 3

30.07.2016 13:00 | keine Kommentare

Ich besitze keinen SMART-TV. Das ist natürlich ein Problem, wenn ich vom Homeserver/Fileserver (Datenhost, zentraler MPD, vgl. Ohne Musik Blogeintrag) Medien abspielen möchte, da der TV Netzwerkprotokolle wie z.B. samba oder NFS nur rudimentär unterstützt. Unser Haushalt besitzt zwar eine Popcornhour, die genau für diesen Zweck gedacht ist, aber irgendwie ist das Gerät mittlerweile sehr alt und wird bald ausdienen. Außerdem haben wir gemeinsam beschlossen, dass wir, wenn das Schlafzimmer fertig renoviert ist, auch im Bett per Monitor Filme sowie Serien vom Homeserver schauen möchten. Getestet wird das ganze Unterfangen mit einem alten ausrangiertem Monitor, der momentan auf meinem Schreibtisch steht. Daneben das Bett im Wohnzimmer durch die Renovierungsarbeiten.

Aus diesem Grund habe ich - auch weil ich gerne mit neuen Systemen bastel - mir einen Raspberry Pi 3 bestellt. Ein Mini-PC, der in Version 3 mittlerweile auch genug Power besitzt, um alltägliche Anforderungen locker zu erfüllen. Das Gerät ist einfach so klein, es passt in meine Handfläche. Ich war dermaßen buff.

Raspberry Pi 3 Set

Das nächste war natürlich eine Art Fernbedienung. Herkömmliche Fernbedienungen haben mir meist zu wenig Funktionen, vor allem dann, wenn dieser kleine MiniPC eigentlich alles kann, da brauche ich eine richtige. Die Wahl fiel dann auf die nachfolgende kabellose Tastatur im Miniformat mit integrierter Maus und 2,4GHz Funknetz. Auch das war kein Fehlgriff. Die Tastatur ist super, funktioniert out of the box und lässt sich bequem zur Navigation und Eingabe nutzen.

Wireless Keyboard

Die nächste Entscheidung war natürlich das Betriebssystem. Ich selbst bin großer ArchLinux Fan. Deshalb ist klar, was ich zunächst probiert habe: ArchLinux ARM. Die Installation war nur das Kopieren des ARM Images auf die SD Karte mit vorherigem Partitionen der SD Karte. Sehr intuitiv. Danach habe ich einfach viele meiner privaten Config Files kopiert und es war fertig.

ArchLinux ARM SSH

So sah der erste Login aus. Der

…mehr lesen

Mal wieder eine kleine Neuentdeckung,...

26.07.2016 21:23 | keine Kommentare

Mal wieder eine kleine Neuentdeckung, absolut super, wenn man auf Stoner steht. :-)

Don't slow me down

Roadking on the run

Riding in the sun

Roadking wears the crown

Never slow me down

Sun Rider "Roadking"

Playlist MTP Sync

18.07.2016 12:39 | keine Kommentare

Eigentlich benutze ich mobil immer Spotify. In der letzten Zeit fällt mir aber auf, dass ich es eben kaum noch nutze bzw. die Käufe von bandcamp nicht bei Spotify verfügbar sind. Aus diesem Grund brauchte ich ein kleines Script, dass Musikdateien mit meinem Smartphone synchronisiert und das möglichst unkompliziert.

Auf mobilen Geräten gibt es aber meist ein Problem: Speicherplatz. Außerdem möchte ich eine möglichst große Vielfalt an Musik mit diesem Platzproblem. Die einfachste Lösung ist also die Synchronisierung von Playlists und nicht von ganzen Alben/Ordnern. Playlists können bequem am PC erstellt werden und das Script fragt nach einer Auswahl der zu synchronisierenden Playlists. Pfade müssen ggf. angepasst werden. Benötigt wird außerdem fzf, gvfs-mtp und natürlich rsync. Hier das Script:

#!/usr/bin/env bash

DEVICE_MUSIC_ROOT="Interner Speicher/Music" # Where the music will live on your phone, without slash

MUSIC_ROOT="${HOME}/Musik"          # music lib
MUSIC_PLAYLIST_ROOT="${HOME}/Musik/Playlists"   # playlist folder
SYNC_MUSIC_ROOT="${HOME}/Downloads/mpd_sync"    # Staging folder (receives all files prior to sync)
SYNC_PLAYLIST_ROOT="${SYNC_MUSIC_ROOT}/playlists"   # Where to place playlist files (m3u) for sync
SYNC_DELETE_AFTER=true

# Output stuff to stdout if $DEBUG evaluates to anything
# $ DEBUG=1 ./script.sh
function debug()
{
    [[ ! -z "$DEBUG" ]] && echo $*
}

# check dependencies
function checkDependencies()
{
    type rsync >/dev/null 2>&1 || { echo >&2 "Require rsync but it's not installed.  Aborting."; exit 1; }
    type fzf >/dev/null 2>&1 || { echo >&2 "Require fzf but it's not installed.  Aborting."; exit 1; }
    type gvfs-mount >/dev/null 2>&1 || { echo >&2 "Require gvfs-mount (for MTP) but it's not installed.  Aborting."; exit 1; }
}

# Sync stuff with phone over rsync
function sync() 
{
    list_usb="$(lsusb | fzf --reverse)"

    read -r -a info <<< "$list_usb"

    if [ -z "$list_usb" ]; then
        echo "No device selected. Aborting.";
        exit 1;
    fi

    bus="${info[1]}"
    device="${info[3]::-1}"

    DEVICE_MOUNT="/run/user/${UID}/gvfs/mtp:host=%5Busb%3A${bus}%2C${device}%5D/${DEVICE_MUSIC_ROOT}"

    confirm "Syncing to ${DEVICE_MOUNT}" && doSync
}

function doSync()
…mehr lesen

Registrierung für Jabber ist nun...

10.07.2016 19:43 | keine Kommentare

Registrierung für Jabber ist nun auf jabber.hoth.one. :-) Das nun als letzter Nachtrag für die Jabber Sachen und dem Webcast davor. Habe außerdem auf hoth.one einige Verbesserungen gemacht und hier auf der Seite werden die Video-Links nun angezeigt. So kann jeder (auch die Firefox Benutzer) die Webcasts ansehen.

Ein kleiner Nachtrag zum Webcast...

07.07.2016 19:53 | keine Kommentare

Ein kleiner Nachtrag zum Webcast Kurzbeitrag wegen des Gruppenchats bzw. XMPP/Jabber. Falls ihr keine Lust habt einen richtigen Client zu installieren (so wie früher bei ICQ), gibt es auch diverse WebClients, die nur eine Oberfläche zur Verfügung stellen. Alles andere ist eben dezentralisiert durch Jabber/das Protokoll. Zum einen wäre hier ConverseJS oder eine etwas mächtigere Lösung Jappix. Bei beiden, muss man natürlich über einen dezentralen Jabber-Account (beispielsweise auf hoth.one) verfügen. Registrieren könnt ihr euch über jabber.hoth.one.

Jekyll Skripte

07.07.2016 12:14 | keine Kommentare

In den vergangenen zwei Tagen habe ich ein wenig am Veröffentlichungsprozess von neuen Einträgen gearbeitet und zusätzlich diese "Kurzbeiträge" eingeführt. Sehr spannende Sache. Neben ein paar Zeilen Python habe ich zusätzlich auch noch einiges über Jekyll gelernt. Mein Deploy-Script zum eigentlichen Hochladen auf den Server habe ich bereits mal gezeigt, deshalb hier nur das Skript zum Verfassen der neuen Einträge sowie ein paar nützliche Aliase.

export JEKYLL_ROOT_DIR=myDir/varakh.de
alias jekyll-post='jekyll-post -D $JEKYLL_ROOT_DIR/_posts -w'
alias jekyll-post-short='jekyll-post -D $JEKYLL_ROOT_DIR/_posts -w -s'
alias jekyll-preview='chromium http://127.0.0.1:4000 && cd $JEKYLL_ROOT_DIR && jekyll s'

In einem Kurzbeitrag gibt es auch ein kleines Webcast, auch wenn sich die Optionen leicht geändert haben. Ich veröffentliche nun also einfach mit den folgenden Zeilen:

jekyll-post(-short)
Eintrag schreiben
jekyll-preview
jekyll-deploy

Kürzer geht es wohl nicht mehr. Anbei das Python Script.

#!/usr/bin/env python

"""
jekyll-post - this is a simple script that will create and initialize a new
Jekyll post file. The default is a markdown file (.md) and the yaml options
listed below will be part of the initialization.

jekyll-post [-w] [-d date] [-D dir] [-o] [-h headline]

-h      the headline of the post wrapped in es, e.g. "post headline here"
-D      the directory (relative or absolute) that the file should be written to.
-d      the default date is today's date or this option can be used to specify
        a date. The date must be specified in the format YYYY-MM-DD.
-n      the name for the post file instead of using the automatically generated one.
-t      the tags that should be added to the yaml portion of the file separated
        by spaces and the whole thing wrapped in es.
-w      this optional flag will signal the file to be opened for writing in vi.
-s      short (set short true [automated title = id will be generated])

yaml options
---
title: headline
tags:
-
…mehr lesen

Heute beim Stammtisch kam es...

07.07.2016 00:11 | keine Kommentare

Heute beim Stammtisch kam es wieder auf. Irgendein Gruppenchat ohne Facebook. :-). Ich biete einen XMPP/Jabber Server auf hoth.one an, den jeder benutzen kann. Damit könnt ihr mit jedem anderen Jabber-Server (alles dezentral, wie schonmal beschrieben) kommunizieren. Nicht so wie bei FB, wo alles auf deren Server liegt. Mit neko.im würde alles genau gleich gehen, es ist also egal, bei welchem Jabber-Server ihr euch registrieren würdet.